Get Service Config By Key

Get Service Config By Key
Retrieve one external service connection configurations by key.

Get one external service connection configurations by key. In a fresh setup, this would be empty.

Request
URI
GET
https://{api_host}/v1/services-config/{serviceKey}
COPY
Path Parameters
string
serviceKey
Required

Service key unique identifier


Responses
200

OK

Returns ServiceConfig of type(s) application/json
{
    "name": "string",
    "type": "One among: VCF_DEPOT",
    "key": "string",
    "version": "string",
    "nodes": [
        {
            "name": "string",
            "addresses": [
                {
                    "type": "One among: fqdn, ipv4, ipv6",
                    "value": "string"
                }
            ],
            "port": "string",
            "baseUrl": "string",
            "certificates": [
                "string"
            ]
        }
    ]
}
string
name
Required

External service name

string
type
Required

External service type

string
key
Required

External service key, identifier for the service unique across the fleet

string
version
Optional

External service version

array of object
nodes
Required

List of nodes belonging to the same external service


204

No content when no service matching parameter is found

Returns ServiceConfig of type(s) application/json
{
    "name": "string",
    "type": "One among: VCF_DEPOT",
    "key": "string",
    "version": "string",
    "nodes": [
        {
            "name": "string",
            "addresses": [
                {
                    "type": "One among: fqdn, ipv4, ipv6",
                    "value": "string"
                }
            ],
            "port": "string",
            "baseUrl": "string",
            "certificates": [
                "string"
            ]
        }
    ]
}
string
name
Required

External service name

string
type
Required

External service type

string
key
Required

External service key, identifier for the service unique across the fleet

string
version
Optional

External service version

array of object
nodes
Required

List of nodes belonging to the same external service


500

Internal Server Error

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "notifications": [
        {
            "severity": "string",
            "message": "string",
            "remediations": [
                {
                    "message": "string",
                    "link": "string"
                }
            ],
            "impactMessage": "string"
        }
    ],
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        }
    ],
    "referenceToken": "string",
    "label": "string",
    "remediationUrl": "string"
}
string
errorCode
Optional

The minor error code

string
errorType
Optional

The error type

array of string
arguments
Optional

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Optional

The error context (e.g. the component where it occurred).

array of object
notifications
Optional

Detailed results of the precheck validation.

string
message
Optional

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Optional

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Optional

The localized label message

string
remediationUrl
Optional

The URL string for remediation documentation link


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/services-config/{serviceKey}